---
layout: post
title: "#MesosCon Hackathon Details Announced"
permalink: /blog/mesoscon-2014-hackathon-details-announced/
published: true
post_author:
  display_name: Dave Lester
  twitter: davelester
tags: Announcement, MesosCon, Hackathon
---

After a [full day of workshops and talks](http://mesoscon14.sched.org) at [MesosCon](http://events.linuxfoundation.org/events/mesoscon), we're challenging participants to hack on [Mesos](http://mesos.apache.org) during an [Atlassian](http://www.atlassian.com)-sponsored hackathon taking place Friday, August 22nd. This event is an opportunity to contribute to the project, collaborate with other members of the community, and learn in the process.

We've identified two categories of hacks that we hope participants will focus on:

 * _Community Need_: These are issues logged in the [Mesos issue tracker](https://issues.apache.org/jira/browse/MESOS/?selectedTab=com.atlassian.jira.jira-projects-plugin:issues-panel) that have received a large amount of activity (comments, votes, etc), and address some of the larger problems or pain points for the community. Suggested projects include new features, bugs, or documentation.
 * _People's Choice_: These contributions will be voted on by your peers, and our guidance is intentionally open-ended so teams will run wild with their ideas. We're excited to see what you come up with.

## Forming Groups
We strongly encourage hackathon participants to use the public [JIRA issue tracker](https://issues.apache.org/jira/browse/MESOS/) to log and discuss their ideas prior to the hackathon, using the [MesosConHack label](https://issues.apache.org/jira/issues/?jql=project%20%3D%20MESOS%20AND%20labels%20%3D%20%22MesosConHack%22). The [project mailing lists and IRC](http://mesos.apache.org/community/) are good places to discover and share project ideas in advance.

Thursday evening of MesosCon, teams will form and ideas may be pitched. Additionally, project committers will be on-site to act as mentors and shepherds throughout the hackathon.

## Hackathon Rules

 * Actual development on submissions should begin the evening of August 21st and must not begin earlier. However, teams are encouraged to have community discussions prior to the event.
 * In order for an entry to be valid, a pull request or review board patch must be submitted.
 * Submitted applications must run.
 * Teams may have a maximum of four contributors.
 * A team may only win one category.
 * Submissions must be related to Mesos in some way.

## Schedule
### Thursday Evening
Following sessions on day one of MesosCon, we will hold a hackathon kickoff that includes an explanation of the rules, and a chance for ideas to be pitched and teams formed. Hacking may begin at this time, although evening hacking is optional.

### Friday
9:00 - Hacking begins at conference center

13:00 - Lunch arrives

17:00 - Coding stops, refreshments are served

17:15 - Re-explain the voting rules

17:20 - Presentations start - Each team gets 5 minutes to pitch what they built and show it off

18:00 - Voting occurs

18:15 - Winners announced

## Registration
Interested in participating in the hackathon? Participants must [register for MesosCon](https://www.regonline.com/register/login.aspx?eventID=1533330&MethodId=0&EventsessionId=).

For new MesosCon registrants, you will see a checkbox at the time of registration. If you've already registered for MesosCon, you will be contacted to confirm whether you plan to participate in the hackathon.