---
layout: post
title: "Announcing the #MesosCon Europe Hackathon"
permalink: /blog/announcing-mesoscon-eu-2015-hackathon/
published: true
post_author:
  display_name: Casey Bisson
  twitter: misterbisson
tags: MesosCon
---

We are proud to announce the first ever [MesosCon Europe](http://events.linuxfoundation.org/events/mesoscon-europe) hackathon on Friday, October 9th, 2015. This event is an opportunity to contribute to the project, learn from other members of the community, and build some fantastic hacks.

The hackathon is being sponsored by [Joyent](https://www.joyent.com/), and, though not required, participants are invited to use Joyent's cloud during the hack day. Joyent is offering each participant substantial service credits in their cloud to kickstart work and continue hacking after the event.

### Award categories

We are challenging participants to hack on Mesos in two categories:

- _Community need_: These are issues logged in the Mesos issue tracker that have received a large amount of activity (comments, votes, etc), and address some of the larger problems or pain points for the community. Suggested projects include new features, bugs, or documentation.
- _People’s choice_: These contributions will be voted on by your peers, and our guidance is intentionally open-ended so teams will run wild with their ideas. We’re excited to see what you come up with.

Additionally, Joyent is offering a _container-native bonus_ award to one hack in each of the above categories that best leverages Joyent's Triton bare metal container infrastructure. Joyent's judges may award the container-native bonus at their discretion.

### Rules

- Coding may not begin until the hackathon officially begins, although we encourage you to plan and scheme ahead of time!
- Sourcecode from the hackathon must be fully available on Github, Bitbucket, or a public source repo in order to be successfully submitted. Code must additionally be licensed in a manner compatible with Mesos' licensing.
- Submitted applications must run.
- Teams may have a maximum of four contributors.
- A team may only win one category.
- Submissions must be related to Mesos in some way.

These rules are subject to change. Please hack the code, not the rules: if you think you're doing something that's against the rules or that gives you an unfair advantage, you probably shouldn't do it.

### Schedule

9:00 - Hacking begins at conference center

13:00 - Lunch arrives

17:00 - Coding stops, refreshments are served

17:15 - Re-explain the voting rules

17:20 - Presentations start - Each team gets 5 minutes to pitch what they built and show it off

18:00 - Voting occurs

18:15 - Winners announced

### Registration

The hackathon is open to all [MesosCon Europe 2015](http://events.linuxfoundation.org/events/mesoscon-europe) attendees. Please indicate your interest in the hackathon while registering for the conference or update your registration to reflect it.
