---
title: Apache Mesos
---

<div class="container-fluid homepage jumbotron">
	<div class="row">
    <h1>Program against your datacenter like it’s a single pool of resources</h1>
    <p class="lead">Apache Mesos abstracts CPU, memory, storage, and other compute resources away from machines (physical or virtual), enabling fault-tolerant and elastic distributed systems to easily be built and run effectively.</p>

		<p> <a href="downloads/"><span class="glyphicon glyphicon-download"></span> Download Mesos 0.26.0</a> or learn how to <a href="gettingstarted/">get started</a></p>
	</div>
</div>

<!-- lowersection -->
<div class="row">
  <div class="col-md-7">
    <h3>What is Mesos?</h3>
      <h4>A distributed systems kernel</h4>
      <p>Mesos is built using the same principles as the Linux kernel, only at a different level of abstraction. The Mesos kernel runs on every machine and provides applications (e.g., Hadoop, Spark, Kafka, Elastic Search) with API’s for resource management and scheduling across entire datacenter and cloud environments.</p>

    <h3>Project Features</h3>
    <ul>
     <li>Scalability to 10,000s of nodes</li>
     <li>Fault-tolerant replicated master and slaves using ZooKeeper</li>
     <li>Support for Docker containers</li>
     <li>Native isolation between tasks with Linux Containers</li>
     <li>Multi-resource scheduling (memory, CPU, disk, and ports)</li>
     <li>Java, Python and C++ APIs for developing new parallel applications</li>
     <li>Web UI for viewing cluster state</li>
    </ul>
  </div>
  <div class="col-md-5">
    <h3>News</h3>
      <ul>
      <li><em>December 16, 2015</em> - Mesos 0.26.0 is released! See the <a href="https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.26.0">CHANGELOG</a> and <a href="/blog/mesos-0-26-0-released/">blog post</a> for details.</li>
      <li><em>October 10, 2015</em> - Mesos 0.25.0 is released! See the <a href="https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.25.0">CHANGELOG</a> and <a href="/blog/mesos-0-25-0-released/">blog post</a> for details.</li>
			<li><em>September 30, 2015</em> - Announcing the #MesosCon Europe Hackathon! See the <a href="/blog/announcing-mesoscon-eu-2015-hackathon/">blog post</a> for details.</li>
      <li><em>September 24, 2015</em> - Mesos 0.24.1 is released! See the <a href="https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.24.1">CHANGELOG</a> and <a href="/blog/mesos-0-24-1-and-more-released/">blog post</a> for details.</li>
      <li><em>September 21, 2015</em> - Mesos 0.24.0 is released! See the <a href="https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.24.0">CHANGELOG</a> and <a href="/blog/mesos-0-24-0-released/">blog post</a> for details.</li>
	    <li><em>September 17, 2015</em> - <a href="/blog/mesoscon-europe-2015-schedule-announced/">MesosCon Europe Schedule and Diversity Scholarship</a></li>
	    <li><em>August 5, 2015</em> - <a href="/blog/mesoscon-goes-europe/">MesosCon goes Europe</a></li>
	    <li><em>July 22, 2015</em> - Mesos 0.23.0 is released! See the <a href="https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.23.0">CHANGELOG</a> and <a href="/blog/mesos-0-23-0-released/">blog post</a> for more details.</li>
      </ul>

    <h3>Follow Us</h3>
    <span class="social">
      <a href="https://twitter.com/ApacheMesos" class="twitter-follow-button" data-show-count="false" data-size="large">Follow @ApacheMesos</a>
      <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
      <a href="https://twitter.com/intent/tweet?button_hashtag=mesos" class="twitter-hashtag-button" data-size="large" data-related="ApacheMesos">Tweet #mesos</a>
      <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
    </span>
 </div>
</div>
<!-- /lowersection -->
